#ifndef CFG_DEFS_H
#define CFG_DEFS_H 1

static const struct {
	const char *name;
	const char *value;
} config_cache[] = {
	{ "",	"" },
	{ "SYSTEM_MAIL",	"'/usr/lib/sendmail'" },
	{ "arg_union_wait",	"'yes'" },
	{ "ansi_varargs",	"'yes'" },
	{ "ansi_cc",	"'-DCC_HAS_PROTOS'" },
	{ "arg_union_waitpid",	"'yes'" },
	{ "baddef_remove",	"'no'" },
	{ "bool_defs",	"'yes'" },
	{ "build",	"'i386-next-openstep4'" },
	{ "build_alias",	"'i386-next-openstep4'" },
	{ "c_compiler_gnu",	"'yes'" },
	{ "c_const",	"'yes'" },
	{ "c_inline",	"'inline'" },
	{ "cc_u_d_options",	"'no'" },
	{ "dcl_sys_errlist",	"'yes'" },
	{ "dcl_errno",	"'yes'" },
	{ "dcl_sys_nerr",	"'yes'" },
	{ "define_sigwinch",	"'yes'" },
	{ "env_CFLAGS_value",	"''" },
	{ "env_CPPFLAGS_value",	"''" },
	{ "env_CPPFLAGS_set",	"''" },
	{ "env_LDFLAGS_value",	"''" },
	{ "env_CPP_value",	"''" },
	{ "env_target_alias_value",	"''" },
	{ "env_target_alias_set",	"''" },
	{ "env_host_alias_value",	"''" },
	{ "env_CFLAGS_set",	"''" },
	{ "env_LDFLAGS_set",	"''" },
	{ "env_build_alias_set",	"''" },
	{ "env_CC_value",	"'cc'" },
	{ "env_CC_set",	"'set'" },
	{ "env_CPP_set",	"''" },
	{ "env_build_alias_value",	"''" },
	{ "env_host_alias_set",	"''" },
	{ "func_sigaction",	"'no'" },
	{ "func_iconv",	"'no, consider installing GNU libiconv'" },
	{ "fionbio",	"'ioctl'" },
	{ "func_zError",	"'no'" },
	{ "func___argz_next",	"'no'" },
	{ "func_decl_strstr",	"'yes'" },
	{ "func_getcwd",	"'no'" },
	{ "func_BZ2_bzopen",	"'no'" },
	{ "func_getegid",	"'yes'" },
	{ "func_gettimeofday",	"'yes'" },
	{ "func_getuid",	"'yes'" },
	{ "func_getgroups",	"'yes'" },
	{ "func_mmap_fixed_mapped",	"'no'" },
	{ "func_munmap",	"'no'" },
	{ "func_setlocale",	"'yes'" },
	{ "func_setuid",	"'yes'" },
	{ "func_strtoul",	"'yes'" },
	{ "func_stpcpy",	"'no'" },
	{ "func_strcasecmp",	"'yes'" },
	{ "func_strdup",	"'no'" },
	{ "func_ttyname",	"'yes'" },
	{ "func_vasprintf",	"'no'" },
	{ "func_vfork",	"'yes'" },
	{ "func_waitpid",	"'no'" },
	{ "func___argz_stringify",	"'no'" },
	{ "func_decl_getgrnam",	"'yes'" },
	{ "func_socket",	"'yes'" },
	{ "func_fgets_unlocked",	"'no'" },
	{ "func_ftime",	"'yes'" },
	{ "func_vfork_works",	"'yes'" },
	{ "func_gzopen",	"'no'" },
	{ "func_strstr",	"'yes'" },
	{ "func_strerror",	"'yes'" },
	{ "func_setenv",	"'no'" },
	{ "func_readdir",	"'yes'" },
	{ "func_mktime",	"'yes'" },
	{ "func_putenv",	"'no'" },
	{ "func_fseeko",	"'no'" },
	{ "func_popen",	"'yes'" },
	{ "func_gethostbyname",	"'yes'" },
	{ "func_getpagesize",	"'yes'" },
	{ "func_feof_unlocked",	"'no'" },
	{ "func_getgid",	"'yes'" },
	{ "func_gethostname",	"'yes'" },
	{ "func_geteuid",	"'yes'" },
	{ "func_decl_getgrgid",	"'yes'" },
	{ "func_alloca_works",	"'yes'" },
	{ "func___argz_count",	"'no'" },
	{ "func_ctermid",	"'no'" },
	{ "func_acos",	"'yes'" },
	{ "func_SLtt_get_screen_size",	"'no'" },
	{ "func_fork",	"'yes'" },
	{ "func_fork_works",	"'yes'" },
	{ "func_truncate",	"'yes'" },
	{ "func_lstat",	"'yes'" },
	{ "func_tsearch",	"'no'" },
	{ "func_strchr",	"'yes'" },
	{ "func_cuserid",	"'no'" },
	{ "func_mempcpy",	"'no'" },
	{ "func_mktemp",	"'yes'" },
	{ "func_unsetenv",	"'no'" },
	{ "func_mkdtemp",	"'no'" },
	{ "func_usleep",	"'yes'" },
	{ "gnu_library_2_1",	"'no'" },
	{ "have_utmp_ut_xtime",	"'no'" },
	{ "have_utmp_ut_xstatus",	"'no'" },
	{ "host_alias",	"'i386-next-openstep4'" },
	{ "header_vfork_h",	"'no'" },
	{ "header_sys_time_h",	"'yes'" },
	{ "header_sys_timeb_h",	"'yes'" },
	{ "header_sys_stat_h",	"'yes'" },
	{ "header_varargs_h",	"'yes'" },
	{ "header_inttypes_h",	"'no'" },
	{ "header_stdarg_h",	"'yes'" },
	{ "have_lib_z",	"'yes'" },
	{ "have_utmp_ut_name",	"'ut_name'" },
	{ "have_utmp_ut_session",	"'no'" },
	{ "have_utmp_ut_host",	"'yes'" },
	{ "have_lib_slang",	"'yes'" },
	{ "have_lib_bz2",	"'yes'" },
	{ "have_inet_aton",	"'yes'" },
	{ "have_h_errno",	"'yes'" },
	{ "have_errno",	"'yes'" },
	{ "have_sys_errlist",	"'yes'" },
	{ "have_utmp",	"'utmp'" },
	{ "have_sys_nerr",	"'yes'" },
	{ "header_intl",	"''" },
	{ "header_libgt",	"''" },
	{ "header_lastlog_h",	"'yes'" },
	{ "header_fcntl_h",	"'yes'" },
	{ "header_unistd_h",	"'yes'" },
	{ "header_time",	"'yes'" },
	{ "header_dirent_sys_ndir_h",	"'no'" },
	{ "header_termio_h",	"'no'" },
	{ "header_dirent_sys_dir_h",	"'yes'" },
	{ "header_argz_h",	"'no'" },
	{ "header_stdint_h",	"'no'" },
	{ "header_stdc",	"'yes'" },
	{ "header_malloc_h",	"'no'" },
	{ "header_limits_h",	"'yes'" },
	{ "header_arpa_inet_h",	"'yes'" },
	{ "header_locale_h",	"'yes'" },
	{ "header_paths_h",	"'no'" },
	{ "header_stddef_h",	"'yes'" },
	{ "header_stdlib_h",	"'yes'" },
	{ "header_strings_h",	"'yes'" },
	{ "header_string_h",	"'yes'" },
	{ "header_nl_types_h",	"'no'" },
	{ "header_memory_h",	"'yes'" },
	{ "header_dirent_dirent_h",	"'no'" },
	{ "header_termios_h",	"'yes'" },
	{ "header_sys_fcntl_h",	"'yes'" },
	{ "header_sys_param_h",	"'yes'" },
	{ "header_sys_filio_h",	"'no'" },
	{ "header_sys_ioctl_h",	"'yes'" },
	{ "header_sys_types_h",	"'yes'" },
	{ "header_sys_wait_h",	"'yes'" },
	{ "header_syslog_h",	"'yes'" },
	{ "host",	"'i386-next-openstep4'" },
	{ "langinfo_codeset",	"'no'" },
	{ "lib_iconv",	"'no'" },
	{ "lib_x_opendir",	"'no'" },
	{ "lib_inet_main",	"'no'" },
	{ "lib_ssl_SSL_get_version",	"'no'" },
	{ "locale",	"'yes'" },
	{ "netlibs",	"''" },
	{ "ngroups",	"'yes'" },
	{ "objext",	"'o'" },
	{ "path_BZIP2",	"'/usr/local/bin/bzip2'" },
	{ "path_GZIP",	"'/usr/bin/gzip'" },
	{ "path_RLOGIN",	"'/usr/ucb/rlogin'" },
	{ "path_TAR",	"'/usr/gnu/bin/tar'" },
	{ "path_TELNET",	"'/usr/ucb/telnet'" },
	{ "path_UNCOMPRESS",	"'/usr/bin/gunzip'" },
	{ "path_ZCAT",	"'/usr/ucb/zcat'" },
	{ "prog_make_make_set",	"'yes'" },
	{ "prog_cc_g",	"'yes'" },
	{ "prog_cc_stdc",	"''" },
	{ "path_lastlog",	"'/usr/adm/lastlog'" },
	{ "prog_ac_ct_RANLIB",	"'ranlib'" },
	{ "path_TN3270",	"'/usr/ucb/tn3270'" },
	{ "path_RM",	"'/usr/gnu/bin/rm'" },
	{ "path_MV",	"'/usr/gnu/bin/mv'" },
	{ "path_UUDECODE",	"'/usr/gnu/bin/uudecode'" },
	{ "path_COMPRESS",	"'/usr/ucb/compress'" },
	{ "path_ZIP",	"'/usr/bin/zip'" },
	{ "path_INSTALL",	"'/usr/gnu/bin/ginstall -c'" },
	{ "path_UNZIP",	"'/usr/bin/unzip'" },
	{ "prog_ac_ct_AR",	"'ar'" },
	{ "prog_ac_ct_CC",	"'cc'" },
	{ "prog_CPP",	"'cc -E -traditional-cpp'" },
	{ "path_install",	"'/usr/gnu/bin/ginstall -c'" },
	{ "posix_c_source",	"199506L'" },
	{ "rand_max",	"'INT_MAX'" },
	{ "screen",	"'slang'" },
	{ "sys_large_files",	"'no'" },
	{ "struct_dirent64",	"'no'" },
	{ "srand_func",	"'srandom/random'" },
	{ "slang_utf8",	"'no'" },
	{ "slang_unix",	"'no'" },
	{ "set_errno",	"'yes'" },
	{ "slang_header",	"'/usr/local/include/slang.h'" },
	{ "subst_AR_OPTS",	"'rv'" },
	{ "sys_largefile_source",	"'no'" },
	{ "sys_largefile_CC",	"'no'" },
	{ "system_name",	"'openstep4'" },
	{ "system_mail_flags",	"'-t -oi'" },
	{ "sys_file_offset_bits",	"'no'" },
	{ "sysv_utmp",	"'no'" },
	{ "type_unionwait",	"'yes'" },
	{ "target_alias",	"'i386-next-openstep4'" },
	{ "target",	"'i386-next-openstep4'" },
	{ "termio_and_curses",	"'no'" },
	{ "termlib",	"'terminfo'" },
	{ "termio_and_termios",	"'yes'" },
	{ "type_off_t",	"'yes'" },
	{ "type_getgroups",	"'int'" },
	{ "type_pid_t",	"'no'" },
	{ "type_size_t",	"'yes'" },
	{ "type_socklen_t",	"'no'" },
	{ "type_uid_t",	"'yes'" },
	{ "type_mode_t",	"'no'" },
	{ "use_libsocks5",	"'no'" },
	{ "use_libsocks",	"'no'" },
	{ "use_libssl",	"'yes'" },
	{ "val_LC_MESSAGES",	"'no'" },
	{ "working_alloca_h",	"'no'" },
	{ "xopen_source",	"'600'" },
};

static const struct {
	const char *name;
	const char *value;
} config_defines[] = {
	{ "ANSI_VARARGS",	"1" },
	{ "BZIP2_PATH",	"\"/usr/local/bin/bzip2\"" },
	{ "CAN_SET_ERRNO",	"1" },
	{ "COMPRESS_PATH",	"\"/usr/ucb/compress\"" },
	{ "DIRED_SUPPORT",	"1" },
	{ "DISP_PARTIAL",	"1" },
	{ "DONT_TRACK_INTERNAL_LINKS",	"1" },
	{ "EXP_LOCALE_CHARSET",	"1" },
	{ "EXP_JUSTIFY_ELTS",	"1" },
	{ "EXP_ALT_BINDINGS",	"1" },
	{ "GETGROUPS_T",	"int" },
	{ "GZIP_PATH",	"\"/usr/bin/gzip\"" },
	{ "HAVE_ALLOCA",	"1" },
	{ "HAVE_ARPA_INET_H",	"1" },
	{ "HAVE_FCNTL_H",	"1" },
	{ "HAVE_FTIME",	"1" },
	{ "HAVE_GETGROUPS",	"1" },
	{ "HAVE_GETTIMEOFDAY",	"1" },
	{ "HAVE_GETUID",	"1" },
	{ "HAVE_H_ERRNO",	"1" },
	{ "HAVE_LYHELP_H",	"1" },
	{ "HAVE_INET_ATON",	"1" },
	{ "HAVE_LOCALE_H",	"1" },
	{ "HAVE_LIMITS_H",	"1" },
	{ "HAVE_LSTAT",	"1" },
	{ "HAVE_MKTEMP",	"1" },
	{ "HAVE_POPEN",	"1" },
	{ "HAVE_READDIR",	"1" },
	{ "HAVE_TERMIOS_H",	"1" },
	{ "HAVE_SETLOCALE",	"1" },
	{ "HAVE_SETUID",	"1" },
	{ "HAVE_SYS_PARAM_H",	"1" },
	{ "HAVE_TYPE_UNIONWAIT",	"1" },
	{ "HAVE_STRCASECMP",	"1" },
	{ "HAVE_STDLIB_H",	"1" },
	{ "HAVE_SYS_IOCTL_H",	"1" },
	{ "HAVE_STDARG_H",	"1" },
	{ "HAVE_STRCHR",	"1" },
	{ "HAVE_SYS_DIR_H",	"1" },
	{ "HAVE_STRING_H",	"1" },
	{ "HAVE_SYSLOG_H",	"1" },
	{ "HAVE_STRERROR",	"1" },
	{ "HAVE_SYS_FCNTL_H",	"1" },
	{ "HAVE_SYS_TIMEB_H",	"1" },
	{ "HAVE_UNISTD_H",	"1" },
	{ "HAVE_SYS_WAIT_H",	"1" },
	{ "HAVE_TRUNCATE",	"1" },
	{ "HAVE_TTYNAME",	"1" },
	{ "HAVE_USLEEP",	"1" },
	{ "HAVE_UTMP",	"1" },
	{ "HAVE_VARARGS_H",	"1" },
	{ "HAVE_UTMP_UT_HOST",	"1" },
	{ "INSTALL_ARGS",	"\"-c\"" },
	{ "INSTALL_PATH",	"\"/usr/gnu/bin/ginstall\"" },
	{ "LOCALE",	"1" },
	{ "LONG_LIST",	"1" },
	{ "LYNX_CFG_FILE",	"\"/usr/local/etc/lynx.cfg\"" },
	{ "LYNX_CFG_H",	"1" },
	{ "LYNX_RAND_MAX",	"INT_MAX" },
	{ "MV_PATH",	"\"/usr/gnu/bin/mv\"" },
	{ "OK_GZIP",	"1" },
	{ "OK_OVERRIDE",	"1" },
	{ "OK_PERMIT",	"1" },
	{ "OK_TAR",	"1" },
	{ "OK_UUDECODE",	"1" },
	{ "OK_ZIP",	"1" },
	{ "RLOGIN_PATH",	"\"/usr/ucb/rlogin\"" },
	{ "RM_PATH",	"\"/usr/gnu/bin/rm\"" },
	{ "STDC_HEADERS",	"1" },
	{ "SYSTEM_NAME",	"\"openstep4\"" },
	{ "SYSTEM_MAIL",	"\"/usr/lib/sendmail\"" },
	{ "SYSTEM_MAIL_FLAGS",	"\"-t -oi\"" },
	{ "TAR_DOWN_OPTIONS",	"\"-xf\"" },
	{ "TELNET_PATH",	"\"/usr/ucb/telnet\"" },
	{ "TAR_FILE_OPTIONS",	"\"\"" },
	{ "TAR_PIPE_OPTIONS",	"\"-\"" },
	{ "TAR_PATH",	"\"/usr/gnu/bin/tar\"" },
	{ "TAR_UP_OPTIONS",	"\"-cf\"" },
	{ "TN3270_PATH",	"\"/usr/ucb/tn3270\"" },
	{ "UNCOMPRESS_PATH",	"\"/usr/bin/gunzip\"" },
	{ "UNDERLINE_LINKS",	"0" },
	{ "UNIX",	"1" },
	{ "UNZIP_PATH",	"\"/usr/bin/unzip\"" },
	{ "USE_BZLIB",	"1" },
	{ "USE_READPROGRESS",	"1" },
	{ "USE_DEFAULT_COLORS",	"1" },
	{ "USE_OPENSSL_INCL",	"1" },
	{ "USE_PRETTYSRC",	"1" },
	{ "USE_FILE_UPLOAD",	"1" },
	{ "USE_PERSISTENT_COOKIES",	"1" },
	{ "USE_SLANG",	"1" },
	{ "UUDECODE_PATH",	"\"/usr/gnu/bin/uudecode\"" },
	{ "USE_X509_SUPPORT",	"1" },
	{ "USE_SOURCE_CACHE",	"1" },
	{ "USE_SSL",	"1" },
	{ "USE_ZLIB",	"1" },
	{ "WAITPID_USES_UNION",	"1" },
	{ "WAIT_USES_UNION",	"1" },
	{ "ZCAT_PATH",	"\"/usr/ucb/zcat\"" },
	{ "ZIP_PATH",	"\"/usr/bin/zip\"" },
	{ "lstat",	"stat" },
	{ "lynx_rand",	"random" },
	{ "lynx_srand",	"srandom" },
	{ "mode_t",	"int" },
	{ "pid_t",	"int" },
	{ "socklen_t",	"int" },
};

#endif /* CFG_DEFS_H */
